Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf
Class LogbackConfigurationChangeListener

    java.lang.Object
      edu.internet2.middleware.shibboleth.wayf.LogbackConfigurationChangeListener

All Implemented Interfaces:
  org.opensaml.util.resource.ResourceChangeListener

    public class LogbackConfigurationChangeListener

extends Object
implements org.opensaml.util.resource.ResourceChangeListener

Callback that may be registered for a watch logback configuration file.

Nested Class Summary

Nested classes/interfaces inherited from interface org.opensaml.util.resource.ResourceChangeListener
`org.opensaml.util.resource.ResourceChangeListener.ResourceChange`

Constructor Summary
`LogbackConfigurationChangeListener()`

Method Summary
`protected void` | `configureLogback(org.opensaml.util.resource.Resource configuration)` Configures logback using the given resource as the Joran configuration file.
`void` | `onResourceCreate(org.opensaml.util.resource.Resource resource)`
`void` | `onResourceDelete(org.opensaml.util.resource.Resource resource)`
`void` | `onResourceUpdate(org.opensaml.util.resource.Resource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogbackConfigurationChangeListener

    public LogbackConfigurationChangeListener()

Method Detail

### onResourceCreate

    public void onResourceCreate(org.opensaml.util.resource.Resource resource)

  Specified by:
    `onResourceCreate` in interface `org.opensaml.util.resource.ResourceChangeListener`

### onResourceDelete

    public void onResourceDelete(org.opensaml.util.resource.Resource resource)

  Specified by:
    `onResourceDelete` in interface `org.opensaml.util.resource.ResourceChangeListener`

### onResourceUpdate

    public void onResourceUpdate(org.opensaml.util.resource.Resource resource)

  Specified by:
    `onResourceUpdate` in interface `org.opensaml.util.resource.ResourceChangeListener`

### configureLogback

    protected void configureLogback(org.opensaml.util.resource.Resource configuration)

  Configures logback using the given resource as the Joran configuration file.

  Parameters:
    `configuration` - logback configuration file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.